<% if LotteryTime.set_date_time(@lottery_topic.lottery_times, @lottery_topic.lottery_dates).class == String %>
  <div class="col-sm-4">
    <% if @lottery_topic.open_round? %>
      <div class="countdown_bill countdown_bill_<%= @lottery_topic.id %>">
        <span class="countdown"></span>
      </div>
    <% end %>
    <div class="thumbnail lottery_logo">
      <%= image_tag @lottery_topic.avatar.url, class: 'img-responsive'%>
    </div>
  </div>
  <div class="col-sm-12">
    <%= form_with(model: bill) do |form| %>

      <div class="form-group">
        <%= form.label :ชื่อ, style: "display: block" %>
        <%= form.text_field :name, class: 'form-control' %>
        <% bill.errors.full_messages_for(:name).each do |error_message| %>
          <div class="text-red">
            <%= error_message.sub("name","") %>
          </div>
        <% end %>
      </div>

      <%= form.hidden_field :lottery_id, value: params[:lot] %>

      <div>
        <%= form.submit 'บันทึก', class: 'btn btn-primary', id: 'save_bill'%>
        <%= link_to 'กลับ', lotteries_path(lot: params[:lot]), class: 'btn btn-success' %>
      </div>
    <% end %>
  </div>
<% else %>
  <h1>ขณะนี้ยังไม่เปิดให้บริการ</h1>
<% end %>

<script>
  $('.countdown').countdown({
    until: new Date('<%= @lottery_topic.end_time %>'.replace(/-/g, "/")), 
    onExpiry: liftOff, 
    layout: '{hn}:{mn}:{sn}'
  });

  function liftOff() {
    alert('หมดเวลาแล้วครับ')
    document.getElementById('bill_name').disabled = true;
    document.getElementById('save_bill').disabled = true;
  }
</script>